- Home
- API Enriched
- Ai Services
- ai_data
- Refresh Token.
Refresh Token.
POST
/api/ai_data/bfdp/namespaces/system/bfdp/refresh_token
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ai_data/bfdp/namespaces/system/bfdp/refresh_token';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"product_name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ai_data/bfdp/namespaces/system/bfdp/refresh_token \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "product_name": "example" }'Enable service by returning service account details.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
RefreshTokenRequest
API to refresh token for a given pipeline.
object
product_name
product_name
Product_name is a pipeline name for which token to be generated.
string
Examplegenerated
{ "product_name": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
RefreshTokenResponse
Referesh token result.
object
result
result
Result will be in JSON format having token in it.
string
Examplegenerated
{ "result": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example